VARKON Version 1.16 1998-11-12

### epson

VARKON plotter driver
Description
The epson driver translates .PLT or .DXF format to epson 8 or 24 pin format. epson reads from standard input and writes to standard output.
Syntax
epson -sS -wsL -xX -yY -vN -hS -pN -wN -lN -FF -d -kK
Options preceded by a minus sign should be followed by their value without any separating blank spaces.
Options

-sS | - Set scale to S. Float value, default = 1.0
-wsL | - Set linewidthscale to L. Float value, default = S
-xX | - Set origin.x to X. Float value, default = 0.0
-yY | - Set origin.y to Y. Float value, default = 0.0
-vN | - Rotate n degrees. Float value, default = 0.0
-hS | - Horisontal resolution . 0 = Max, 1 = Min = Default
-pN | - Vertical resolution, 8 or 24 pins, default = 8
-wN | - Width of plot area in millimeters, default = 8 inch = A4
-ln | - Height of plot area in lines, default = 85 = A4
-FF | - Send trailing formfeed
-d | - Show outline of plot area and print statistics
-kK | - Set curve accuracy to K. Float value, default = 1.0

Examples
epson<file.PLT >file.epson -v90
Rotates the image in plotfile.PLT 90 degrees anticlockwise and writes the result to a new file named "file.epson" with 8 pin resolution using the 8 pin native epson format.
ibmpro <file.PLT -v90 -h0 -p24 | lp
Same as above but the result is sent to a spooled plotter. Horisontal and vertical resolution is set to highest possible. 24 pin format is used.
Comments
epson automatically recognizes if the input is in PLT or DXF format. The -k option only applies to DXF format.
In 8-pin mode the epson gives a horisontal resolution of:
240 dots/inch with -h0
120 dots/inch with -h0.5
60 dots/inch with -h1
In 24-pin mode the resolution becomes:
360 dots/inch with -h0
180 dots/inch with -h0.4
120 dots/inch with -h0.6
60 dots/inch with -h1
-p8 gives a vertical resolution of 72 dots/inch and -p24 produces 216 dots/inch.

Note that 8 pin epson and 24 pin epson in 8 pin mode are different. If the -pN option is not used native 8 pin mode will be used. If -p8 is specified, 8 pin mode in 24 pin format will be used.

Color is not supported but variable linewidth is supported through the WIDTH attribute. Penfiles are still supported but may not be in future releases. epson reads "$VARKON_PLT/epson.PEN" when invoked to establish what dotsize (linewidth) the hardware uses. If this file is missing an errormessage is reported and no output is produced.

VARKON Homepage | Index